//
//  FirstTabViewController.h
//  TabBar Navigation
//
//  Created by Holger Hinzberg on 11.04.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface FirstTabViewController : UIViewController {
    
    UISlider *redSlider;
    UISlider *greenSlider;
    UISlider *blueSlider;
    UILabel *hexValueLabel;
}
@property (nonatomic, retain) IBOutlet UISlider *redSlider;
@property (nonatomic, retain) IBOutlet UISlider *greenSlider;
@property (nonatomic, retain) IBOutlet UISlider *blueSlider;
@property (nonatomic, retain) IBOutlet UILabel *hexValueLabel;

- (IBAction)redSliderMove:(id)sender;
- (IBAction)greenSliderMove:(id)sender;
- (IBAction)blueSliderMove:(id)sender;

// Setzen der Hintergrundfarbe
-(void)setBackgroundColor;

-(NSString *)generateHexStringWithRed:(double)redValue green:(double)greenValue blue:(double)blueValue;

@end
